## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBlockAllocatorNormalBlockPolicy Class Reference

This class implements the normal per block allocating policy. More...

`#include <csutil/blockallocator.h>`

List of all members.

## Static Public Member Functions

static uint8 * | AllocBlock (size_t blocksize)
| Allocate a raw block of given size.
static void | FreeBlock (uint8 *p)
| Free a block.

## Detailed Description

This class implements the normal per block allocating policy.

It has no per-block overhead.

Definition at line 46 of file blockallocator.h.

## Member Function Documentation

static uint8* csBlockAllocatorNormalBlockPolicy::AllocBlock | ( | size_t | blocksize | ) | `[inline, static]`

| Allocate a raw block of given size. Definition at line 52 of file blockallocator.h.

static void csBlockAllocatorNormalBlockPolicy::FreeBlock | ( | uint8 * | p | ) | `[inline, static]`

Free a block.

Remarks:
  Does not check that the block pointer is valid.

Definition at line 61 of file blockallocator.h.

The documentation for this class was generated from the following file:

- csutil/blockallocator.h